/*
 * Copyright 2013-2017 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.springframework.cloud.sleuth.instrument.web.client.feign;

import java.util.Collection;
import java.util.Map;

/**
 * Mutable holder for Feign Response headers
 *
 * @author Marcin Grzejszczak
 *
 * @since 1.0.0
 */
class FeignResponseHeadersHolder {
	final Map<String, Collection<String>> responseHeaders;

	FeignResponseHeadersHolder(Map<String, Collection<String>> responseHeaders) {
		this.responseHeaders = responseHeaders;
	}
}
